Shop And Establishment
Validate shop and establishment certificates issued by municipal authorities to confirm legal existence and registration of commercial entities in supported regions.
shop_establishment
POST https://secctrl.tutelar.io/api/v1/services/business_profile/shop_establishment
Sample Request Body
Body
Type
Mandatory
Description
regNo
string
Yes
Shop & Establishment Registration Number to be authenticated
areaCode
string
Yes
Code of the jurisdiction of registration
consent
String
Yes
Consent is required to make the API request.
Sample Post Parameters
{
"regNo": "2017000411",
"areaCode": "DL",
"consent": "y"
}{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "57826ffc-ac68-4aff-8036-4a95e196d7df",
"status": "completed",
"result": {
"category": "Commercial Establishment",
"status": "",
"owner_name": "Ramanand",
"entity_name": "Shiva Enterprises",
"registration_date": "2/1/2017",
"valid_to": "",
"contact": "9560084211, 27917553",
"commence_date": "2/1/2017",
"total_workers": "5",
"fathers_name_of_occupier": "Jag Ram",
"nature_of_business": "Others",
"address": "N-18/242, L-block Jj Colony Wazirpur Delhi, Delhi. PIN-110052",
"valid_from": "",
"email": "s********@gmail.com",
"website_url": "",
"applicant_name": ""
},
"requested_at": "2026-05-18T11:02:33.401Z",
"completed_at": "2026-05-18T11:02:33.621Z"
}Get details
GET https://secctrl.tutelar.io/api/v1/services/business_profile/shop_establishment
Query parameters description is given below,
Query Parameter
Type
Is Mandatory
Description
reference_id
String
Yes
Document reference id
Last updated